﻿using HardwareShopClientApp.Models;
using HardwareShopContracts.BindingModels;
using HardwareShopContracts.ViewModels;
using HardwareShopDataModels.Enums;
using Microsoft.AspNetCore.Mvc;
using System.Data;
using System.Diagnostics;

namespace HardwareShopClientApp.Controllers
{
    public class WorkerController : Controller
    {
        private readonly ILogger<WorkerController> _logger;

        public WorkerController(ILogger<WorkerController> logger)
        {
            _logger = logger;
        }

        public IActionResult Builds()
        {
            return View();
        }

        public IActionResult Comments()
        {
            return View();
        }

        public IActionResult listComponents()
        {
            return View();
        }

        public IActionResult MainWorker()
        {
            return View();
        }

        [HttpGet]
        public IActionResult Purchases()
        {
            //return View();
            //string login = (string)TempData["UserId"];
           
            return View(APIClient.GetRequest<List<PurchaseViewModel>>($"api/client/getpurchases?UserId={APIClient.User.Id}"));
        }

        [HttpPost]
        public void Purchases(int id)
        {
            //return View();
            //string login = (string)TempData["UserId"];

            Response.Redirect("Purchase");
        }


        [HttpGet]
        public IActionResult Purchase()
        {
            //return View();
            //string login = (string)TempData["UserId"];

            return View();
        }

        public IActionResult WorkerReport()
        {
            return View();
        }
    }
}